Package org.apache.catalina.valves.rewrite

## Class RewriteCond.LexicalCondition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition
  - - org.apache.catalina.valves.rewrite.RewriteCond.LexicalCondition

Enclosing class:
  RewriteCond

    public static class RewriteCond.LexicalCondition
    extends RewriteCond.Condition

### Field Summary

Fields
`String` `condition`
`int` `type` -1: < 0: = 1: >

### Constructor Summary

Constructors
`LexicalCondition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evaluate​(String value, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    public int type

-1: < 0: = 1: >

#### condition

    public String condition

### Constructor Detail

#### LexicalCondition

    public LexicalCondition()

### Method Detail

#### evaluate

    public boolean evaluate​(String value,
                            Resolver resolver)

Specified by:
  `evaluate` in class `RewriteCond.Condition`